diff -Nurp rc-new/.md5sum rc-sh-new/.md5sum
--- rc-new/.md5sum	2007-09-16 23:46:53.000000000 -0400
+++ rc-sh-new/.md5sum	2007-10-09 17:11:00.000000000 -0400
@@ -1,9 +1,9 @@
 d2a8e98a8b10ba09b2a9da34326b526a  inittab
-94fc1f45a347449cd1945cb68818f5d5  rc
-c8fe38143dffbbc628a7a33966fae408  rc.conf
+d6ac5d72d82d6bcec89189865146cfd9  rc
+a4588aaf90de375dd740d12353fe7a2b  rc.conf
 5b09d4a67beb58022879fa9ce0f5af1b  rc.fix
 d1be35927946756c68242f29c16ee983  rc.local
 394d5cff98ab59fd1a0ec64fe79292cb  rc.modules
-f45e1bfe3080d1686cf901715dbcb37d  rc.multi
-b509225319fbdcf5a2dcc1a1f9fc8783  rc.shutdown
-9a19749d4d924948281beb167ccebe28  rc.single
+ff37a29851ebf9b9eb09808e2ca11dfe  rc.multi
+3539dc5ab4f5c6e673cbea993ca6f210  rc.shutdown
+33250c753072f04e079902f9e04733ff  rc.single
diff -Nurp rc-new/rc rc-sh-new/rc
--- rc-new/rc	2007-09-16 23:34:36.000000000 -0400
+++ rc-sh-new/rc	2007-10-09 17:10:16.000000000 -0400
@@ -19,19 +19,19 @@ echo "The system is coming up.  Please w
 # Check filesystems
 /sbin/fsck -A -T -C -a
 if [ $? -gt 1 ]; then
-	echo
-	echo "***************  FILESYSTEM CHECK FAILED  ******************"
-	echo "*                                                          *"
-	echo "*  Please repair manually and reboot. Note that the root   *"
-	echo "*  file system is currently mounted read-only. To remount  *"
-	echo "*  it read-write type: mount -n -o remount,rw /            *"
-	echo "*  When you exit the maintainance shell the system will    *"
-	echo "*  reboot automatically.                                   *"
-	echo "*                                                          *"
-	echo "************************************************************"
-	echo
+	/bin/echo
+	/bin/echo "***************  FILESYSTEM CHECK FAILED  ******************"
+	/bin/echo "*                                                          *"
+	/bin/echo "*  Please repair manually and reboot. Note that the root   *"
+	/bin/echo "*  file system is currently mounted read-only. To remount  *"
+	/bin/echo "*  it read-write type: mount -n -o remount,rw /            *"
+	/bin/echo "*  When you exit the maintainance shell the system will    *"
+	/bin/echo "*  reboot automatically.                                   *"
+	/bin/echo "*                                                          *"
+	/bin/echo "************************************************************"
+	/bin/echo
 	/sbin/sulogin -p
-	echo "Automatic reboot in progress..."
+	/bin/echo "Automatic reboot in progress..."
 	/bin/umount -a -r
 	/bin/mount -n -o remount,ro /
 	/sbin/reboot -f
@@ -63,7 +63,7 @@ fi
 
 # Configure host name
 if [ "$HOSTNAME" ]; then
-	echo "hostname: $HOSTNAME"
+	/bin/echo "hostname: $HOSTNAME"
 	/bin/hostname $HOSTNAME
 fi
 
@@ -78,13 +78,13 @@ fi
 
 # Load console font
 if [ "$FONT" ]; then
-	echo "font: $FONT"
+	/bin/echo "font: $FONT"
 	/usr/bin/setfont $FONT
 fi
 
 # Load console keymap
 if [ "$KEYMAP" ]; then
-	echo "keyboard: $KEYMAP"
+	/bin/echo "keyboard: $KEYMAP"
 	/bin/loadkeys -q $KEYMAP
 fi
 
diff -Nurp rc-new/rc.conf rc-sh-new/rc.conf
--- rc-new/rc.conf	2007-09-16 23:34:36.000000000 -0400
+++ rc-sh-new/rc.conf	2007-10-09 17:10:50.000000000 -0400
@@ -7,6 +7,6 @@ KEYMAP=us
 TIMEZONE=UTC
 HOSTNAME=host
 SYSLOG=sysklogd
-SERVICES=(net crond)
+SERVICES="net crond"
 
 # End of file
diff -Nurp rc-new/rc.multi rc-sh-new/rc.multi
--- rc-new/rc.multi	2007-09-16 23:46:35.000000000 -0400
+++ rc-sh-new/rc.multi	2007-10-09 17:10:16.000000000 -0400
@@ -12,15 +12,15 @@ if [ -x /etc/rc.fix ]; then
 fi
 
 # Start services
-if [ "${SERVICES[*]}" ]; then
+if [ "$SERVICES" ]; then
 	echo -n "starting services:"
 	if [ -f /etc/rc.d/$SYSLOG -a -x /etc/rc.d/$SYSLOG ]; then
-		echo -n " $SYSLOG"
-		/etc/rc.d/$SYSLOG &> /dev/null || echo -n "[ERROR]"
+		/bin/echo -n " $SYSLOG"
+		/etc/rc.d/$SYSLOG &> /dev/null || /bin/echo -n "[ERROR]"
 	fi
-	for service in ${SERVICES[@]}; do
-		echo -n " $service"
-		/etc/rc.d/$service start &> /tmp/rc.$$ || echo -n "[ERROR]"
+	for service in $SERVICES; do
+		/bin/echo -n " $service"
+		/etc/rc.d/$service start &> /tmp/rc.$$ || /bin/echo -n "[ERROR]"
 		/usr/bin/logger -t $service -f /tmp/rc.$$
 		/bin/rm -f /tmp/rc.$$
 	done
diff -Nurp rc-new/rc.shutdown rc-sh-new/rc.shutdown
--- rc-new/rc.shutdown	2007-09-16 23:34:36.000000000 -0400
+++ rc-sh-new/rc.shutdown	2007-10-09 17:10:16.000000000 -0400
@@ -9,15 +9,15 @@
 # Set linefeed mode to avoid staircase effect
 /bin/stty onlcr
 
-echo "The system is coming down.  Please wait."
+/bin/echo "The system is coming down.  Please wait."
 
 if [ "$PREVLEVEL" = "2" ]; then
 	# Shutdown services
-	if [ "${SERVICES[*]}" ]; then
-		for service in "${SERVICES[@]}"; do
-			R_SERVICES=($service ${R_SERVICES[@]})
+	if [ "$SERVICES" ]; then
+		for service in $SERVICES; do
+			R_SERVICES="$service $R_SERVICES"
 		done
-		for service in "${R_SERVICES[@]}"; do
+		for service in $R_SERVICES; do
 			/etc/rc.d/$service stop &> /tmp/rc.$$
 			/usr/bin/logger -t $service -f /tmp/rc.$$
 			/bin/rm -f /tmp/rc.$$
diff -Nurp rc-new/rc.single rc-sh-new/rc.single
--- rc-new/rc.single	2007-09-16 23:44:50.000000000 -0400
+++ rc-sh-new/rc.single	2007-10-09 17:10:16.000000000 -0400
@@ -8,11 +8,11 @@
 
 if [ "$PREVLEVEL" = "2" ]; then
 	# Shutdown services
-	if [ "${SERVICES[*]}" ]; then
-		for service in "${SERVICES[@]}"; do
-			R_SERVICES=($service ${R_SERVICES[@]})
+	if [ "$SERVICES" ]; then
+		for service in $SERVICES; do
+			R_SERVICES="$service $R_SERVICES"
 		done
-		for service in "${R_SERVICES[@]}"; do
+		for service in $R_SERVICES; do
 			/etc/rc.d/$service stop &> /tmp/rc.$$
 			/usr/bin/logger -t $service -f /tmp/rc.$$
 			/bin/rm -f /tmp/rc.$$