diff -Nurp rc-new/.md5sum rc-sh/.md5sum
--- rc-new/.md5sum	2007-09-16 23:46:53.000000000 -0400
+++ rc-sh/.md5sum	2007-10-14 19:21:58.000000000 -0400
@@ -1,9 +1,9 @@
 d2a8e98a8b10ba09b2a9da34326b526a  inittab
-94fc1f45a347449cd1945cb68818f5d5  rc
-c8fe38143dffbbc628a7a33966fae408  rc.conf
-5b09d4a67beb58022879fa9ce0f5af1b  rc.fix
+ecc2650984afe2506c00ae37502ff1f3  rc
+a4588aaf90de375dd740d12353fe7a2b  rc.conf
+11191105f42af22265ec871f9ce5f9ba  rc.fix
 d1be35927946756c68242f29c16ee983  rc.local
-394d5cff98ab59fd1a0ec64fe79292cb  rc.modules
-f45e1bfe3080d1686cf901715dbcb37d  rc.multi
-b509225319fbdcf5a2dcc1a1f9fc8783  rc.shutdown
-9a19749d4d924948281beb167ccebe28  rc.single
+f16d50ae4247a54318d20cc41d932487  rc.modules
+0fa9058f157d57944953c5efd17cac1b  rc.multi
+1e5e6aa307dd36b8df8fbacb6daeae7a  rc.shutdown
+47a0de1b67b54936e0ff7a52b5dd2c5a  rc.single
diff -Nurp rc-new/rc rc-sh/rc
--- rc-new/rc	2007-09-16 23:34:36.000000000 -0400
+++ rc-sh/rc	2007-10-14 19:21:08.000000000 -0400
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 #
 # /etc/rc: system boot script
 #
diff -Nurp rc-new/rc.conf rc-sh/rc.conf
--- rc-new/rc.conf	2007-09-16 23:34:36.000000000 -0400
+++ rc-sh/rc.conf	2007-10-14 19:18:01.000000000 -0400
@@ -7,6 +7,6 @@ KEYMAP=us
 TIMEZONE=UTC
 HOSTNAME=host
 SYSLOG=sysklogd
-SERVICES=(net crond)
+SERVICES="net crond"
 
 # End of file
diff -Nurp rc-new/rc.fix rc-sh/rc.fix
--- rc-new/rc.fix	2007-09-16 23:34:36.000000000 -0400
+++ rc-sh/rc.fix	2007-10-14 19:21:05.000000000 -0400
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 #
 # /etc/rc.fix: adjustements startup file (multi-user)
 #
diff -Nurp rc-new/rc.modules rc-sh/rc.modules
--- rc-new/rc.modules	2007-09-16 23:34:36.000000000 -0400
+++ rc-sh/rc.modules	2007-10-14 19:21:00.000000000 -0400
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 #
 # /etc/rc.modules: module initialization script
 #
diff -Nurp rc-new/rc.multi rc-sh/rc.multi
--- rc-new/rc.multi	2007-09-16 23:46:35.000000000 -0400
+++ rc-sh/rc.multi	2007-10-14 19:20:54.000000000 -0400
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 #
 # /etc/rc.multi: multi-user startup script
 #
@@ -12,15 +12,15 @@ if [ -x /etc/rc.fix ]; then
 fi
 
 # Start services
-if [ "${SERVICES[*]}" ]; then
+if [ "$SERVICES" ]; then
 	echo -n "starting services:"
 	if [ -f /etc/rc.d/$SYSLOG -a -x /etc/rc.d/$SYSLOG ]; then
-		echo -n " $SYSLOG"
-		/etc/rc.d/$SYSLOG &> /dev/null || echo -n "[ERROR]"
+		/bin/echo -n " $SYSLOG"
+		/etc/rc.d/$SYSLOG 1> /dev/null 2>&1 || /bin/echo -n "[ERROR]"
 	fi
-	for service in ${SERVICES[@]}; do
-		echo -n " $service"
-		/etc/rc.d/$service start &> /tmp/rc.$$ || echo -n "[ERROR]"
+	for service in $SERVICES; do
+		/bin/echo -n " $service"
+		/etc/rc.d/$service start 1> /tmp/rc.$$ 2>&1 || /bin/echo -n "[ERROR]"
 		/usr/bin/logger -t $service -f /tmp/rc.$$
 		/bin/rm -f /tmp/rc.$$
 	done
diff -Nurp rc-new/rc.shutdown rc-sh/rc.shutdown
--- rc-new/rc.shutdown	2007-09-16 23:34:36.000000000 -0400
+++ rc-sh/rc.shutdown	2007-10-14 19:21:17.000000000 -0400
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 #
 # /etc/rc.shutdown: system shutdown script
 #
@@ -9,16 +9,16 @@
 # Set linefeed mode to avoid staircase effect
 /bin/stty onlcr
 
-echo "The system is coming down.  Please wait."
+/bin/echo "The system is coming down.  Please wait."
 
 if [ "$PREVLEVEL" = "2" ]; then
 	# Shutdown services
-	if [ "${SERVICES[*]}" ]; then
-		for service in "${SERVICES[@]}"; do
-			R_SERVICES=($service ${R_SERVICES[@]})
+	if [ "$SERVICES" ]; then
+		for service in $SERVICES; do
+			R_SERVICES="$service $R_SERVICES"
 		done
-		for service in "${R_SERVICES[@]}"; do
-			/etc/rc.d/$service stop &> /tmp/rc.$$
+		for service in $R_SERVICES; do
+			/etc/rc.d/$service stop 1> /tmp/rc.$$ 2>&1
 			/usr/bin/logger -t $service -f /tmp/rc.$$
 			/bin/rm -f /tmp/rc.$$
 		done
diff -Nurp rc-new/rc.single rc-sh/rc.single
--- rc-new/rc.single	2007-09-16 23:44:50.000000000 -0400
+++ rc-sh/rc.single	2007-10-14 19:21:38.000000000 -0400
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 #
 # /etc/rc.single: single-user startup script
 #
@@ -8,12 +8,12 @@
 
 if [ "$PREVLEVEL" = "2" ]; then
 	# Shutdown services
-	if [ "${SERVICES[*]}" ]; then
-		for service in "${SERVICES[@]}"; do
-			R_SERVICES=($service ${R_SERVICES[@]})
+	if [ "$SERVICES" ]; then
+		for service in $SERVICES; do
+			R_SERVICES="$service $R_SERVICES"
 		done
-		for service in "${R_SERVICES[@]}"; do
-			/etc/rc.d/$service stop &> /tmp/rc.$$
+		for service in $R_SERVICES; do
+			/etc/rc.d/$service stop 1> /tmp/rc.$$ 2>&1
 			/usr/bin/logger -t $service -f /tmp/rc.$$
 			/bin/rm -f /tmp/rc.$$
 		done
@@ -32,7 +32,7 @@ if [ "$PREVLEVEL" != "N" ]; then
 	/sbin/start_udev
   
 	if [ -f /etc/rc.d/$SYSLOG -a -x /etc/rc.d/$SYSLOG ]; then
-		/etc/rc.d/$SYSLOG &> /dev/null
+		/etc/rc.d/$SYSLOG 1> /dev/null 2>&1
 	fi	
 fi
 