diff -Nurp opt/fontforge/Pkgfile opt-giflib/fontforge/Pkgfile
--- opt/fontforge/Pkgfile	2007-11-16 14:01:37.000000000 -0500
+++ opt-giflib/fontforge/Pkgfile	2007-12-06 14:47:17.000000000 -0500
@@ -2,11 +2,11 @@
 # URL: http://fontforge.sourceforge.net
 # Packager: Daniel Walpole, daniel at walpole dot id dot au
 # Maintainer: Antti Nykänen, aon at iki dot fi
-# Depends on: freetype, libpng, libtiff, libungif, libxml2
+# Depends on: freetype, libpng, libtiff, giflib, libxml2
 
 name=fontforge
 version=20071110
-release=1
+release=2
 source=(http://dl.sourceforge.net/sourceforge/$name/${name}_full-$version.tar.bz2)
 
 build() {
diff -Nurp opt/giflib/.footprint opt-giflib/giflib/.footprint
--- opt/giflib/.footprint	1969-12-31 19:00:00.000000000 -0500
+++ opt-giflib/giflib/.footprint	2007-12-06 14:52:07.000000000 -0500
@@ -0,0 +1,9 @@
+drwxr-xr-x	root/root	usr/
+drwxr-xr-x	root/root	usr/include/
+-rw-r--r--	root/root	usr/include/gif_lib.h
+drwxr-xr-x	root/root	usr/lib/
+-rw-r--r--	root/root	usr/lib/libgif.a
+-rwxr-xr-x	root/root	usr/lib/libgif.la
+lrwxrwxrwx	root/root	usr/lib/libgif.so -> libgif.so.4.1.6
+lrwxrwxrwx	root/root	usr/lib/libgif.so.4 -> libgif.so.4.1.6
+-rwxr-xr-x	root/root	usr/lib/libgif.so.4.1.6
diff -Nurp opt/giflib/.md5sum opt-giflib/giflib/.md5sum
--- opt/giflib/.md5sum	1969-12-31 19:00:00.000000000 -0500
+++ opt-giflib/giflib/.md5sum	2007-12-06 14:43:24.000000000 -0500
@@ -0,0 +1 @@
+7125644155ae6ad33dbc9fc15a14735f  giflib-4.1.6.tar.bz2
diff -Nurp opt/giflib/Pkgfile opt-giflib/giflib/Pkgfile
--- opt/giflib/Pkgfile	1969-12-31 19:00:00.000000000 -0500
+++ opt-giflib/giflib/Pkgfile	2007-12-06 14:46:14.000000000 -0500
@@ -0,0 +1,16 @@
+# Description: A compressed GIF library compatible with libungif
+# URL: http://giflib.sourceforge.net/doc/
+# Maintainer: Brett Goulder <predatorfreak@dcaf-security.org> 
+
+name=giflib
+version=4.1.6
+release=1
+source=(http://dl.sourceforge.net/giflib/$name-$version.tar.bz2)
+
+build() {
+    cd $name-$version
+    ./configure --prefix=/usr
+    make
+    make prefix=$PKG/usr install
+    rm -rf $PKG/usr/bin
+}
diff -Nurp opt/imagemagick/Pkgfile opt-giflib/imagemagick/Pkgfile
--- opt/imagemagick/Pkgfile	2007-11-28 23:36:18.000000000 -0500
+++ opt-giflib/imagemagick/Pkgfile	2007-12-06 14:47:26.000000000 -0500
@@ -2,11 +2,11 @@
 # Packager: danm, maol, jaeger
 # Maintainer: Simone Rota, sip at crux dot nu
 # URL: http://imagemagick.sourceforge.net/
-# Depends on: freetype ghostscript lcms libungif libxml2
+# Depends on: freetype ghostscript lcms giflib libxml2
 
 name=imagemagick
 version=6.3.7-1
-release=1
+release=2
 source=(ftp://ftp.imagemagick.org/pub/ImageMagick/ImageMagick-$version.tar.bz2)
 
 build () {
diff -Nurp opt/libungif/.footprint opt-giflib/libungif/.footprint
--- opt/libungif/.footprint	2007-08-25 11:34:01.000000000 -0400
+++ opt-giflib/libungif/.footprint	1969-12-31 19:00:00.000000000 -0500
@@ -1,9 +0,0 @@
-drwxr-xr-x	root/root	usr/
-drwxr-xr-x	root/root	usr/include/
--rw-r--r--	root/root	usr/include/gif_lib.h
-drwxr-xr-x	root/root	usr/lib/
--rw-r--r--	root/root	usr/lib/libungif.a
--rwxr-xr-x	root/root	usr/lib/libungif.la
-lrwxrwxrwx	root/root	usr/lib/libungif.so -> libungif.so.4.1.4
-lrwxrwxrwx	root/root	usr/lib/libungif.so.4 -> libungif.so.4.1.4
--rwxr-xr-x	root/root	usr/lib/libungif.so.4.1.4
diff -Nurp opt/libungif/.md5sum opt-giflib/libungif/.md5sum
--- opt/libungif/.md5sum	2007-08-25 11:34:01.000000000 -0400
+++ opt-giflib/libungif/.md5sum	1969-12-31 19:00:00.000000000 -0500
@@ -1 +0,0 @@
-efdfcf8e32e35740288a8c5625a70ccb  libungif-4.1.4.tar.gz
diff -Nurp opt/libungif/Pkgfile opt-giflib/libungif/Pkgfile
--- opt/libungif/Pkgfile	2007-11-28 23:36:18.000000000 -0500
+++ opt-giflib/libungif/Pkgfile	1969-12-31 19:00:00.000000000 -0500
@@ -1,16 +0,0 @@
-# Description: An uncompressed GIF library compatible with giflib
-# URL:         http://libungif.sourceforge.net/doc/
-# Maintainer:  Simone Rota, sip at crux dot nu
-
-name=libungif
-version=4.1.4
-release=1
-source=(http://crux.nu/files/distfiles/$name-$version.tar.gz)
-
-build() {
-    cd $name-$version
-    ./configure --prefix=/usr
-    make
-    make prefix=$PKG/usr install
-    rm -rf $PKG/usr/bin
-}