diff -u -r prt-get-5.19.orig/FAQ prt-get-5.19/FAQ
--- prt-get-5.19.orig/FAQ	2012-09-17 03:31:34.000000000 +0900
+++ prt-get-5.19/FAQ	2013-08-28 17:56:47.467928047 +0900
@@ -1,4 +1,4 @@
-Q: Why are there no wildcards for install/update/grpinst
+Q: Why are there no wildcards for install/update
 A: Because you don't want it (dependencies)
 
 Q: Why is there no prt-get depinst?
diff -u -r prt-get-5.19.orig/doc/prt-get.8 prt-get-5.19/doc/prt-get.8
--- prt-get-5.19.orig/doc/prt-get.8	2012-09-17 04:05:52.000000000 +0900
+++ prt-get-5.19/doc/prt-get.8	2013-08-28 12:17:10.000000000 +0900
@@ -86,12 +86,6 @@
 Note that outdated packages won't be updated.
 
 .TP 
-.B grpinst [\-\-margs] [\-\-aargs]  [\-\-log] <package1> [<package2> ...]
-install all packages in the listed order, but stop if installation of
-one package fails. This can be used to install packages where package2
-depends on package1
-
-.TP 
 .B update [\-\-margs] [\-\-aargs]  [\-\-log] <package1> [<package2> ...]
 update all packages listed in this order
 
@@ -442,7 +436,7 @@
 .TP 
 .B \-\-test
 Dry run, don't actually install anything, mostly interesting for
-.B prt\-get install, prt\-get grpinst, prt\-get update, prt\-get sysup
+.B prt\-get install, prt\-get update, prt\-get sysup
 
 .TP 
 .B \-\-pre-install
@@ -491,13 +485,13 @@
 .TP 
 .B \-\-margs="...", e.g. \-\-margs="\-im"
 arguments to be passed to pkgmk, relevant for
-.B prt\-get install, prt\-get grpinst, prt\-get update
+.B prt\-get install, prt\-get update
 note that \-d is already passed to pkgmk anyway
 
 .TP 
 .B \-\-aargs="...", e.g. \-\-aargs="\-f"
 arguments to be passed to pkgadd, relevant for
-.B prt\-get install, prt\-get grpinst, prt\-get update
+.B prt\-get install, prt\-get update
 
 .TP 
 .B \-\-rargs="..."
@@ -514,6 +508,9 @@
 .B \-\-strict-diff, -sd
 Override the 'preferhigher' configuration option
 
+.TP
+.B \-\-group, -g
+Stop install or update operation if one package fails.
 
 .TP 
 .B \-\-config=<file>
@@ -555,11 +552,10 @@
 Search all ports containing 'icq' in their name
 
 .TP 
-.B prt\-get grpinst \-\-test `prt\-get quickdep kdenetwork`
+.B prt\-get install \-\-test `prt\-get quickdep kdenetwork`
 Show what would happen if you installed all packages needed for
 kdenetwork (test mode). Remove \-\-test to install kdenetwork and all
-it's dependencies. Remember that grpinst stops installing when one
-installing of one package fails
+it's dependencies.
 
 .TP 
 .B prt\-get update `prt\-get quickdiff`
diff -u -r prt-get-5.19.orig/misc/prt-get_complete prt-get-5.19/misc/prt-get_complete
--- prt-get-5.19.orig/misc/prt-get_complete	2012-09-17 04:09:14.000000000 +0900
+++ prt-get-5.19/misc/prt-get_complete	2013-08-28 12:14:45.000000000 +0900
@@ -14,7 +14,7 @@
 
 	if [ $COMP_CWORD -eq 1 ]; then
 		COMPREPLY=( $( compgen -W ' \
-                    install depinst update grpinst help \
+                    install depinst update help \
                     version readme list info path \
                     search dsearch fsearch printf cache \
                     dependent sysup current lock unlock \
@@ -27,7 +27,7 @@
         if [ $COMP_CWORD '>' 1 ]; then
             if [[ "$cur" != -* ]]; then
 	        case ${COMP_WORDS[1]} in
-                    "install" | "depinst" | "grpinst"  | "path" | "dependent" | \
+                    "install" | "depinst" | "path" | "dependent" | \
                     "depends" | "quickdep" | "info" | "readme" | \
                     "ls" | "isinst" | "deptree" )
     		 	    if [ -f /var/lib/pkg/prt-get.cache ]; then
@@ -65,13 +65,14 @@
                 esac
             else
                 case ${COMP_WORDS[1]} in
-                    "install" | "update" | "groupinst")
+                    "install" | "update" )
                         COMPREPLY=( $( compgen -W  '--config= --cache \
                                                     --pre-install \
                                                     --post-install \
                                                     --install-scripts \
                                                     --log --test \
                                                     --config \
+                                                    --group \
 					            --config-append= \
 					            --config-prepend= \
 					            --config-set= \
diff -u -r prt-get-5.19.orig/src/argparser.cpp prt-get-5.19/src/argparser.cpp
--- prt-get-5.19.orig/src/argparser.cpp	2012-09-17 03:31:34.000000000 +0900
+++ prt-get-5.19/src/argparser.cpp	2013-08-28 17:55:45.651926574 +0900
@@ -44,6 +44,7 @@
       m_execPostInstall( false ),
       m_preferHigher( false ),
       m_strictDiff( false ),
+      m_group(false),
       m_useRegex(false),
       m_fullPath(false),
       m_recursive(false),
@@ -122,13 +123,13 @@
 */
 bool ArgParser::parse()
 {
-    const int commandCount = 35;
+    const int commandCount = 34;
     string commands[commandCount] = { "list", "search", "dsearch",
                                       "info",
                                       "depends", "install", "depinst",
                                       "help", "isinst", "dup", "update",
                                       "quickdep", "diff", "quickdiff",
-                                      "grpinst", "version", "cache",
+                                      "version", "cache",
                                       "path", "listinst", "printf", "readme",
                                       "dependent", "sysup", "current",
                                       "fsearch", "lock", "unlock",
@@ -140,7 +141,7 @@
                                      DEPENDS, INSTALL, DEPINST,
                                      HELP, ISINST, DUP, UPDATE,
                                      QUICKDEP, DIFF, QUICKDIFF,
-                                     GRPINST, SHOW_VERSION, CREATE_CACHE,
+                                     SHOW_VERSION, CREATE_CACHE,
                                      PATH, LISTINST, PRINTF, README,
                                      DEPENDENT, SYSUP, CURRENT,
                                      FSEARCH, LOCK, UNLOCK, LISTLOCKED,
@@ -196,6 +197,8 @@
                 m_preferHigher = true;
             } else if ( s == "--strict-diff" || s == "-sd" ) {
                 m_strictDiff = true;
+            } else if ( s == "--group" || s == "-g" ) {
+                m_group = true;
             } else if ( s == "--regex" ) {
                 m_useRegex = true;
             } else if ( s == "--full" ) {
@@ -453,6 +456,11 @@
     return m_strictDiff;
 }
 
+bool ArgParser::group() const
+{
+    return m_group;
+}
+
 bool ArgParser::useRegex() const
 {
     return m_useRegex;
diff -u -r prt-get-5.19.orig/src/argparser.h prt-get-5.19/src/argparser.h
--- prt-get-5.19.orig/src/argparser.h	2012-09-17 03:31:34.000000000 +0900
+++ prt-get-5.19/src/argparser.h	2013-08-28 17:59:00.201931210 +0900
@@ -32,7 +32,7 @@
     /*! Command type */
     enum Type { HELP, LIST, SEARCH, DSEARCH, INSTALL, DEPINST,
                 INFO, DEPENDS, ISINST, DUP, UPDATE,
-                QUICKDEP, DIFF, GRPINST, GRPUPDATE,
+                QUICKDEP, DIFF,
                 QUICKDIFF, SHOW_VERSION, CREATE_CACHE, PATH,
                 LISTINST, PRINTF, README, DEPENDENT, SYSUP,
                 CURRENT, FSEARCH, LOCK, UNLOCK, LISTLOCKED,
@@ -55,6 +55,7 @@
     bool execPostInstall() const;
     bool preferHigher() const;
     bool strictDiff() const;
+    bool group() const;
     bool useRegex() const;
     bool fullPath() const;
     bool recursive() const;
@@ -107,6 +108,7 @@
     bool m_execPostInstall;
     bool m_preferHigher;
     bool m_strictDiff;
+    bool m_group;
     bool m_useRegex;
     bool m_fullPath;
 
diff -u -r prt-get-5.19.orig/src/installtransaction.cpp prt-get-5.19/src/installtransaction.cpp
--- prt-get-5.19.orig/src/installtransaction.cpp	2012-10-24 05:04:53.000000000 +0900
+++ prt-get-5.19/src/installtransaction.cpp	2013-08-28 12:20:41.000000000 +0900
@@ -119,12 +119,11 @@
   install (commit) a transaction
   \param parser the argument parser
   \param update whether this is an update operation
-  \param group whether this is a group transaction (stops transaction on error)
   \return returns an InstallResult telling whether installation worked
 */
 InstallTransaction::InstallResult
 InstallTransaction::install( const ArgParser* parser,
-                             bool update, bool group )
+                             bool update )
 {
     if ( m_packages.empty() ) {
         return NO_PACKAGE_GIVEN;
@@ -146,7 +145,7 @@
 
         if ( package == NULL ) {
             m_missingPackages.push_back( make_pair( it->first, string("") ) );
-            if ( group ) {
+            if ( parser->group() ) {
                 return PACKAGE_NOT_FOUND;
             }
             continue;
@@ -179,7 +178,7 @@
             }
 
             m_installErrors.push_back( make_pair(package->name(), info) );
-            if ( group ) {
+            if ( parser->group() ) {
                 return PKGMK_FAILURE;
             }
         }
diff -u -r prt-get-5.19.orig/src/installtransaction.h prt-get-5.19/src/installtransaction.h
--- prt-get-5.19.orig/src/installtransaction.h	2012-09-17 03:31:34.000000000 +0900
+++ prt-get-5.19/src/installtransaction.h	2013-08-28 11:53:25.000000000 +0900
@@ -85,8 +85,7 @@
     };
 
     InstallResult install( const ArgParser* parser,
-                           bool update,
-                           bool group );
+                           bool update );
     InstallResult  calcDependencies();
 
     const list< pair<string, InstallInfo> >& installedPackages() const;
diff -u -r prt-get-5.19.orig/src/main.cpp prt-get-5.19/src/main.cpp
--- prt-get-5.19.orig/src/main.cpp	2012-09-17 03:31:34.000000000 +0900
+++ prt-get-5.19/src/main.cpp	2013-08-28 17:58:16.628930171 +0900
@@ -87,10 +87,7 @@
             prtGet.install();
             break;
         case ArgParser::DEPINST:
-            prtGet.install(false, true, true);
-            break;
-        case ArgParser::GRPINST:
-            prtGet.install( false, true );
+            prtGet.install(false, true);
             break;
         case ArgParser::DEPENDS:
             prtGet.printDepends();
diff -u -r prt-get-5.19.orig/src/prtget.cpp prt-get-5.19/src/prtget.cpp
--- prt-get-5.19.orig/src/prtget.cpp	2012-09-17 03:31:34.000000000 +0900
+++ prt-get-5.19/src/prtget.cpp	2013-08-28 12:24:20.000000000 +0900
@@ -167,13 +167,12 @@
     cout << "\nINSTALL, UPDATE and REMOVAL" << endl;
     cout << "  install [opt] <port1 port2...>    install ports" << endl;
     cout << "  update  [opt] <port1 port2...>    update ports" << endl;
-    cout << "  grpinst [opt] <port1 port2...>    install ports, stop on error"
-         << endl;
     cout << "  depinst [opt] <port1 port2...>    install ports and their dependencies"
          << endl;
     cout << "  remove [opt] <port1 port2...>     remove ports"
          << endl;
     cout << "          where opt can be:" << endl;
+    cout << "                --group, -g         stop if one package fails" << endl;
     cout << "                -f, -fi             force installation" << endl;
     cout << "                -fr                 force rebuild" << endl;
     cout << "                -uf                 update footprint" << endl;
@@ -589,10 +588,9 @@
 /*!
    install package
    \param update whether this is an update operation
-   \param group whether it's a group install (stop on error)
 
 */
-void PrtGet::install( bool update, bool group, bool dependencies )
+void PrtGet::install( bool update, bool dependencies )
 {
     assertMinArgCount(1);
 
@@ -646,16 +644,16 @@
         }
 
         InstallTransaction transaction( deps, m_repo, m_pkgDB, m_config );
-        executeTransaction( transaction, update, group );
+        executeTransaction( transaction, update);
     } else {
         InstallTransaction transaction( m_parser->otherArgs(),
                                         m_repo, m_pkgDB, m_config );
-        executeTransaction( transaction, update, group );
+        executeTransaction( transaction, update);
     }
 }
 
 void PrtGet::executeTransaction( InstallTransaction& transaction,
-                                 bool update, bool group )
+                                 bool update)
 {
     m_currentTransaction = &transaction;
 
@@ -670,7 +668,7 @@
     }
 
     InstallTransaction::InstallResult result =
-        transaction.install( m_parser, update, group );
+        transaction.install( m_parser, update);
     bool failed = false;
     // TODO: use switch
     if ( result == InstallTransaction::PACKAGE_NOT_FOUND ) {
@@ -1562,7 +1560,7 @@
 
     InstallTransaction transaction( *target,
                                     m_repo, m_pkgDB, m_config );
-    executeTransaction( transaction, true, false );
+    executeTransaction( transaction, true );
 }
 
 
diff -u -r prt-get-5.19.orig/src/prtget.h prt-get-5.19/src/prtget.h
--- prt-get-5.19.orig/src/prtget.h	2012-09-17 03:31:34.000000000 +0900
+++ prt-get-5.19/src/prtget.h	2013-08-28 11:52:58.000000000 +0900
@@ -62,7 +62,6 @@
     void readme();
 
     void install( bool update=false,
-                  bool group=false,
                   bool dependencies=false );
     void sysup();
     void current();
@@ -102,7 +101,7 @@
     void printDependent(const std::string& dep, int level);
 
     void executeTransaction( InstallTransaction& transaction,
-                             bool update, bool group );
+                             bool update );
     void evaluateResult( InstallTransaction& transaction,
                       bool update,
                       bool interrupted=false );